expo-payments-stripe: Android native module not found

Hello!
I’m trying to use expo-payments-stripe in my app and I’m having issues on Android. iOS works fine using this workaround to repair the build: https://github.com/expo/expo/issues/7621

On android, anytime I try to use Stripe module, I get this error in JS:

Error: Encountered an exception while calling native method: Exception occurred while executing exported method canMakeAndroidPayPayments on module StripeModule: null

I verified that expo-payments-stripe is in my app.manifest and gets installed during android build but it seems that it doesn’t get initialized for some reason.
I tried yarn remove expo-payments-stripe and expo install expo-payments-stripe to reinstall the package but I’m still getting the same error.

Any idea on this?

Running:
Expo: 37.0.7 (Bare workflow)
Expo-cli: 3.17.23
expo-payments-stripe 8.1.0

I figured out how to solve my problem even though I’m not sure what is was. I just deleted my whole project folder and cloned it again and everything ran like a charm.
There was probably a faulty .iml or something in the .gradle folder.
Great day all!